<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:panelGroup rendered="#{ssoIdentity.loggedIn}">
        <li class="dropdown"><a href="#" class="dropdown-toggle"
                                data-toggle="dropdown" role="button" aria-expanded="false">
            <h:outputText id="menuWelcomeId" value="#{ssoIdentity.getUsername()}/#{ssoIdentity.getCompanyKeyword()}"/>
            <span class="caret"/> </a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <h:commandLink immediate="true"
                                   action="#{ssoIdentity.logout}"
                                   value="#{messages['net.ihe.gazelle.simulators.Logout']}"/>
                </li>
            </ul>
        </li>
    </h:panelGroup>
    <h:panelGroup rendered="#{not ssoIdentity.loggedIn}">
        <li>
            <h:commandLink
                    value="#{messages['gazelle.simulator.Login']}"
                    action="#{ssoIdentity.login}"
                    rendered="#{genericConfigurationManager.isWorksWithoutCas()}"/>
        </li>
        <li>
            <h:outputLink id="loginLink" value="#{genericConfigurationManager.getApplicationUrl()}/cas/login"
                          rendered="#{not genericConfigurationManager.isWorksWithoutCas()}">
                <h:outputText value="#{messages['gazelle.simulator.loginCAS']}"/>
                <f:param name="request" value="#{request.requestURL}" disable="#{request.queryString != null}"/>
                <f:param name="request" value="#{request.requestURL}?#{request.queryString}" disable="#{request.queryString == null}"/>
            </h:outputLink>
        </li>
    </h:panelGroup>
</ui:composition>